function setup(elemID) {
	var separator = "=";
	var regx = new RegExp("\\s*"+separator+"\\s*");
	var data = getFileContents(getFile(getFolder("kmeleon.general.settingsDir"),"search.cfg"));
	if(data) {
		data = data.replace(/\r\n/g,"\n").replace(/\r/g,"\n").replace(/\n\s*/g,"\n");
		var line = data.split("\n");
		for(var j=0,name,eurl,item;j<line.length;j++) {
			if((line[j].indexOf("#")==0)||(line[j].indexOf(separator)<0)) continue;
			line[j] = line[j].replace(regx,separator);
			name = line[j].split(separator)[0];
			eurl = line[j].replace(name+separator,"");
			item = document.createElement("menuitem");
			item.setAttribute("value",eurl);
			item.setAttribute("label",name);
			document.getElementById(elemID).firstChild.appendChild(item);
		}
	}
}
function initMenuList(lstID,elemID,prefBase,oldCnt) {
	// make really sure, that we have all menuitems and that all of them have their values
	var litems = document.getElementById(elemID).firstChild.childNodes;
	var newCnt = litems.length;

	var val = (newCnt >= oldCnt);
	for(var j=1;j<newCnt;j++)
		val &= (litems[j].value) ? true : false;
	if(val)
		eval("init"+lstID+"List('"+elemID+"','"+prefBase+"')");
	else
		setTimeout("initMenuList('"+lstID+"','"+elemID+"','"+prefBase+"',"+newCnt+")",100);
}
function initEngnList(elemID,prefBase) {
	var val;
	var lst = document.getElementById(elemID);

	try {
		val = getPrefValue(prefBase+elemID);
		lst.selectedIndex = 0;
		while(lst.selectedItem.value != val) lst.selectedIndex++;
	} catch(e) {
		lst.firstChild.insertBefore(document.createElement("menuseparator"),lst.firstChild.firstChild);
		lst.firstChild.insertBefore(document.createElement("menuitem"),lst.firstChild.firstChild);
		lst.firstChild.firstChild.setAttribute("value",val);
		lst.firstChild.firstChild.setAttribute("label",(val)?val:document.getElementById("pref_bundle").getString("pref_not_set"));
		lst.selectedIndex = 0;
	}
}
function initMetaList(elemID,prefBase) {
	var val;
	var lst = document.getElementById(elemID);

	try {
		val = getPrefValue(prefBase+elemID);
		lst.selectedIndex = 0;
		while(lst.selectedItem.value != val) lst.selectedIndex++;
	} catch(e) {
		if(val) {
			try {
				var secondEntry = lst.firstChild.firstChild.nextSibling;
				if(secondEntry.value) {
					lst.firstChild.insertBefore(document.createElement("menuseparator"),secondEntry);
					lst.firstChild.insertBefore(document.createElement("menuseparator"),secondEntry);
					secondEntry = lst.firstChild.firstChild.nextSibling;
				}
			} catch(e) {
				lst.firstChild.appendChild(document.createElement("menuseparator"));
			}
			try {
				lst.firstChild.insertBefore(document.createElement("menuitem"),secondEntry.nextSibling);
			} catch(e) {
				lst.firstChild.appendChild(document.createElement("menuitem"));
				var secondEntry = lst.firstChild.firstChild.nextSibling;
			}
			secondEntry.nextSibling.setAttribute("value",val);
			secondEntry.nextSibling.setAttribute("label",(val)?val:document.getElementById("pref_bundle").getString("pref_not_set"));
			lst.selectedIndex = 2;
		} else
			lst.selectedIndex = 0;
	}
}
var NOSEARCH = !getFile(getFolder("kmeleon.general.settingsDir"),"search.cfg").exists();