/********************************************************************************************************/
// Locale default pref for k-meleon 
/********************************************************************************************************/


/********************************************************************************************************/
// Appearance

pref("kmeleon.display.URLbarTitle", "URL:");

pref("kmeleon.plugins.favorites.title", "Ссылки:");
pref("kmeleon.plugins.favorites.toolbarFolder", "Ссылки");

pref("kmeleon.plugins.layers.title", "Вкладки:");


/********************************************************************************************************/
// Print

// Letter (8,5" x 11,0"):
pref("kmeleon.print.paperUnit", 0);
pref("kmeleon.print.paperWidth", "8,5");
pref("kmeleon.print.paperHeight", "11,0");
// Legal (8,5" x 14,0"):
//pref("kmeleon.print.paperUnit", 0);
//pref("kmeleon.print.paperWidth", "8,5");
//pref("kmeleon.print.paperHeight", "14,0");
// A4 (210 mm x 297 mm):
//pref("kmeleon.print.paperUnit", 1);
//pref("kmeleon.print.paperWidth", "210,0");
//pref("kmeleon.print.paperHeight", "297,0");


/********************************************************************************************************/
// Privacy

pref("kmeleon.privacy.useragent0.name", "K-Meleon 1.02 (По умолчанию)");
pref("kmeleon.privacy.useragent0.string", "");
pref("kmeleon.privacy.useragent1.name", "MSIE 6.0");
pref("kmeleon.privacy.useragent1.string", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)");
pref("kmeleon.privacy.useragent2.name", "Netscape 8.1");
pref("kmeleon.privacy.useragent2.string", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20060127 Netscape/8.1");
pref("kmeleon.privacy.useragent3.name", "Opera 9.02");
pref("kmeleon.privacy.useragent3.string", "Opera/9.02 (Windows NT 5.1; U, en)");


/********************************************************************************************************/

pref("intl.charset.detector", "universal_charset_detector");
pref("keyword.URL", "http://www.google.com/search?gfns=1&q=");



/********************************************************************************************************/
// Locale default pref for k-meleon macros
/********************************************************************************************************/

// Custom Proxies
pref("kmeleon.plugins.macros.proxy1.name", "Прокси 1, установленный пользователем");
pref("kmeleon.plugins.macros.proxy2.name", "Прокси 2, установленный пользователем");
pref("kmeleon.plugins.macros.proxy3.name", "Прокси 3, установленный пользователем");

// Domain completion
pref("kmeleon.plugins.macros.domComplete0.prefix", "www.");
pref("kmeleon.plugins.macros.domComplete0.suffix", ".ru");
pref("kmeleon.plugins.macros.domComplete1.prefix", "www.");
pref("kmeleon.plugins.macros.domComplete1.suffix", ".com");
pref("kmeleon.plugins.macros.domComplete2.prefix", "www.");
pref("kmeleon.plugins.macros.domComplete2.suffix", ".net");


/********************************************************************************************************/
// Web Search

// Default Search Engine URL  (MUST be one out of kmeleon.plugins.macros.search.engine[0..9].url)
pref("kmeleon.general.searchEngine", "http://www.google.ru/search?hl=ru&q=");
// Default Search Engine Name (MUST be one out of kmeleon.plugins.macros.search.engine[0..9].name)
pref("kmeleon.general.searchEngineName", "Google Russia");

// K-Meleon Forums Search
pref("kmeleon.plugins.macros.search.kmforums", "http://kmeleon.sourceforge.net/forum/search.php?f=3&globalsearch=1&match=1&date=0&fldsubject=1&fldbody=1&search=");

// Web Search (engine[0..9] REQUIRED as far as macros are present in menus)
pref("kmeleon.plugins.macros.search.engine0.name", "Google Russia");
pref("kmeleon.plugins.macros.search.engine0.url", "http://www.google.ru/search?hl=ru&q=");
pref("kmeleon.plugins.macros.search.engine1.name", "Yandex");
pref("kmeleon.plugins.macros.search.engine1.url", "http://www.yandex.ru/yandsearch?stype=www&nl=0&text=");
pref("kmeleon.plugins.macros.search.engine2.name", "Rambler");
pref("kmeleon.plugins.macros.search.engine2.url", "http://search.rambler.ru/cgi-bin/rambler_search?words=");
pref("kmeleon.plugins.macros.search.engine3.name", "Wikipedia Russia");
pref("kmeleon.plugins.macros.search.engine3.url", "http://ru.wikipedia.org/wiki/");
pref("kmeleon.plugins.macros.search.engine4.name", "Yahoo! Russia");
pref("kmeleon.plugins.macros.search.engine4.url", "http://ru.search.yahoo.com/search?p=");
pref("kmeleon.plugins.macros.search.engine5.name", "Webalta");
pref("kmeleon.plugins.macros.search.engine5.url", "http://www.webalta.ru/search?q=");
pref("kmeleon.plugins.macros.search.engine6.name", "Yandex lingvo");
pref("kmeleon.plugins.macros.search.engine6.url", "http://lingvo.yandex.ru/en?search_type=lingvo&st_translate=1&text=");
pref("kmeleon.plugins.macros.search.engine7.name", "Aport");
pref("kmeleon.plugins.macros.search.engine7.url", "http://sm.aport.ru/scripts/template.dll?r=");
pref("kmeleon.plugins.macros.search.engine8.name", "Google");
pref("kmeleon.plugins.macros.search.engine8.url", "http://www.google.com/search?q=");
pref("kmeleon.plugins.macros.search.engine9.name", "Google News");
pref("kmeleon.plugins.macros.search.engine9.url", "http://news.google.com/news?gfns=1&sa=N&tab=gn&q=");

// Metasearch (meta[0..9] possible)
pref("kmeleon.plugins.macros.search.meta0.url", "http://www.google.ru/search?hl=ru&q=");
pref("kmeleon.plugins.macros.search.meta1.url", "http://www.yandex.ru/yandsearch?stype=www&nl=0&text=");
pref("kmeleon.plugins.macros.search.meta2.url", "http://search.rambler.ru/cgi-bin/rambler_search?words=");
pref("kmeleon.plugins.macros.search.meta3.url", "http://ru.wikipedia.org/wiki/");
pref("kmeleon.plugins.macros.search.meta4.url", "http://www.webalta.ru/search?q=");
pref("kmeleon.plugins.macros.search.meta5.url", "http://ru.search.yahoo.com/search?p=");
