var gPrefService = null;
var gPrefBranch = null;
function onLoad() {
  const nsIPrefService = Components.interfaces.nsIPrefService;
  gPrefService = Components.classes["@mozilla.org/preferences-service;1"].getService(nsIPrefService);
  gPrefBranch = gPrefService.getBranch(null);
  var prefElements = document.getElementsByAttribute("prefstring", "*");
  for (var i = 0; i < prefElements.length; i++) {
    var element = prefElements[i];
    var prefString = element.getAttribute("prefstring");
    var prefValue = false;
    try {
      prefValue = gPrefBranch.getBoolPref(prefString);
    } catch(e) {  }
    element.setAttribute("checked", prefValue);
    if (gPrefBranch.prefIsLocked(prefString)) {
      element.disabled=true;
    }
  }
}
function showInfo(cipher_name) {
  window.openDialog('chrome://pippki/content/cipherinfo.xul', cipher_name,
                    'chrome,centerscreen,modal');
}
function doOK() {
 try {
  var prefElements = document.getElementsByAttribute("prefstring", "*");
  for (var i = 0; i < prefElements.length; i++) {
    var element = prefElements[i];
    var prefString = element.getAttribute("prefstring");
    var prefValue = element.getAttribute("checked");
    if (typeof(prefValue) == "string") {
      prefValue = (prefValue == "true");
    }
    gPrefBranch.setBoolPref(prefString, prefValue);
  }
  gPrefService.savePrefFile(null);
 } catch(e) { }
 return true;
}