var layers, layersOnly;
var relatives  = new Array("kmeleon.general.openurl","kmeleon.plugins.macros.selected.openurl","kmeleon.plugins.bookmarks.openurl","kmeleon.plugins.favorites.openurl","kmeleon.plugins.hotlist.openurl");
var layersOpen = new Array("layers(OpenURL)","layers(OpenURLBg)");
var windowOpen = new Array("ID_OPEN_LINK_IN_NEW_WINDOW","ID_OPEN_LINK_IN_BACKGROUND");

function disableTabs(reload) {
	for(var j=0,t=document.getElementsByTagName("tab");j<t.length;j++)
		t[j].setAttribute("disabled",!layers);
	if(reload)
		for(var j=0,b=document.getElementsByTagName("browser");j<b.length;j++)
			b[j].reload();
}
function initLayers() {
	layers = kpluginEnabled("layers");
	try {
		layersOnly = layers && pref.getBoolPref("kmeleon.plugins.layers.catchOpen");
	} catch(e) {
		layersOnly = false;
		document.getElementById("kmeleon.plugins.layers.catchOpen").disabled = true;
	}
	disableTabs(false);
	document.getElementById("kmeleon.plugins.layers.load").checked = layers;
	document.getElementById("kmeleon.plugins.layers.load").disabled = kpluginAbsent("layers");
	document.getElementById("kmeleon.plugins.layers.catchOpen").disabled = !layers;
	document.getElementById("kmeleon.plugins.layers.confirmClose").disabled = !layers;
	initCheckbox("kmeleon.plugins.layers.catchOpen");
	initCheckbox("kmeleon.plugins.layers.confirmClose");
}
function layersBar() {
	var enabled, val;

	initCheckbox("kmeleon.plugins.layers.rebar");
	initCheckbox("kmeleon.plugins.layers.numbers");
	initTextbox("kmeleon.plugins.layers.title",document.getElementById("pref_bundle").getString("toolbar_title_none"));
	initTextbox("kmeleon.plugins.layers.minWidth",false);
	initTextbox("kmeleon.plugins.layers.maxWidth",false);

	try {
		val = pref.getIntPref("kmeleon.plugins.layers.style");
	} catch(e) {
		val = 0;
		document.getElementById("asterisk").disabled = true;
	}
	if(val>8) {
		val -= 8;
		document.getElementById("asterisk").checked = true;
	}
	switch(val) {
		case  2: document.getElementById("kmeleon.plugins.layers.style").selectedIndex = 0; break;
		case  6: document.getElementById("kmeleon.plugins.layers.style").selectedIndex = 1; break;
		default: document.getElementById("kmeleon.plugins.layers.style").selectedIndex =-1;
	}

	if(!kpluginEnabled("layers"))
		disableAll(true,false);
}
function layersBrowsing() {
	var enabled = kpluginEnabled("layers");

	document.getElementById("kmeleon.plugins.layers.onOpenOption").firstChild.disabled = !enabled;
	document.getElementById("kmeleon.plugins.layers.onOpenOption").firstChild.nextSibling.disabled = !enabled;
	document.getElementById("kmeleon.plugins.layers.onCloseOption").firstChild.disabled = !enabled;
	document.getElementById("kmeleon.plugins.layers.onCloseOption").firstChild.nextSibling.disabled = !enabled;
	document.getElementById("kmeleon.plugins.layers.onCloseOption").firstChild.nextSibling.nextSibling.disabled = !enabled;

	initRadiogroup("kmeleon.plugins.layers.onOpenOption");
	initRadiogroup("kmeleon.plugins.layers.onCloseOption");
}
function layersOnlyToggle() {
	layersOnly = document.getElementById("kmeleon.plugins.layers.catchOpen").checked;
	pref.setBoolPref("kmeleon.plugins.layers.catchOpen",layersOnly);
	if(layersOnly) {
		pref.setBoolPref("dom.disable_window_open_feature.resizable",true);
		pref.setBoolPref("dom.disable_window_open_feature.scrollbars",true);
		pref.setBoolPref("dom.disable_window_open_feature.location",true);
		pref.setBoolPref("dom.disable_window_open_feature.menubar",true);
		pref.setBoolPref("dom.disable_window_open_feature.personalbar",true);
		pref.setBoolPref("dom.disable_window_open_feature.status",true);
		pref.setBoolPref("dom.disable_window_open_feature.toolbar",true);
	}
	sanitizeRelatives();
}
function layersToggle() {
	layers = document.getElementById("kmeleon.plugins.layers.load").checked;
	pref.setBoolPref("kmeleon.plugins.layers.load",layers);
	sanitizeRelatives();
	disableTabs(true);
	initLayers();
}
function sanitizeRelatives() {
	var val;

	for(var j=0;j<relatives.length;j++) {
		try {
			val = pref.getCharPref(relatives[j]);
		} catch(e) {
			val = null;
		}
		for(var k=0;k<layersOpen.length;k++) switch(val) {
			case layersOpen[k]: if(!layers)    pref.setCharPref(relatives[j],windowOpen[k]); break;
			case windowOpen[k]: if(layersOnly) pref.setCharPref(relatives[j],layersOpen[k]); break;
		}
	}
}
function toggleStyle(bool) {
	var val;

	try {
		val = pref.getIntPref("kmeleon.plugins.layers.style");
	} catch(e) {
		val = 0;
	}
	pref.setIntPref("kmeleon.plugins.layers.style",val+(document.getElementById("asterisk").checked?1:(bool?-1:0))*8);
}